Listar canais
curl --request GET \
--url https://api.olie.ai/api/management/channels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"meta": {
"current_page": 1,
"from": 1,
"to": 2,
"last_page": 1,
"per_page": 30,
"total": 2
},
"channels": [
{
"id": "9b2a1c3e-4d5f-6789-abcd-ef0123456789",
"name": "WhatsApp João",
"audience": "client",
"connector_type": "fake",
"external_ref": "wpp-5511999999999",
"is_active": true,
"project_id": "8a1f2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"frame_id": "7c0e1d2f-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
"created_at": "2026-06-18T12:00:00.000000Z",
"updated_at": "2026-06-18T12:00:00.000000Z"
},
{
"id": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"name": "Canal interno",
"audience": "internal",
"connector_type": null,
"external_ref": null,
"is_active": true,
"project_id": "8a1f2b3c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"frame_id": "7c0e1d2f-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
"created_at": "2026-06-18T11:00:00.000000Z",
"updated_at": "2026-06-18T11:30:00.000000Z"
}
]
}{
"response": false,
"message": "unauthenticated",
"error": "Unauthenticated."
}channels
Listar canais
Lista os canais do frame, com paginação. Use o filtro project_id para restringir os canais de um projeto específico.
GET
/
api
/
management
/
channels
Listar canais
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtra os canais por projeto (UUID).
Número da página a ser retornada. Começa em 1.
Quantidade de itens exibidos por página.
Was this page helpful?
⌘I